Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Configuration_Section_Key_Heap Class Reference

Internal section key class for heap based configuration database. More...

`#include <Configuration.h>`

Inheritance diagram for ACE_Configuration_Section_Key_Heap

[legend]
Collaboration diagram for ACE_Configuration_Section_Key_Heap:

[legend]
List of all members.

## Public Methods
| ACE_Configuration_Section_Key_Heap (const ACE_TCHAR* path)
| constructor based on the full path of the section.
## Public Attributes
ACE_TCHAR* | path_
| the path itself.
VALUE_HASH::ITERATOR* | value_iter_
| The value iterator.
SUBSECTION_HASH::ITERATOR* | section_iter_
| The sub section iterator.
## Protected Methods
virtual | ~ACE_Configuration_Section_Key_Heap (void)
| destructor - will delete the iterators.
| ACE_Configuration_Section_Key_Heap (const ACE_Configuration_Section_Key_Heap& rhs)
ACE_Configuration_Section_Key_Heap& | operator= (const ACE_Configuration_Section_Key_Heap& rhs)

## Detailed Description

Internal section key class for heap based configuration database.

Contains a value iterator and full path name of section.

## Constructor & Destructor Documentation

ACE_Configuration_Section_Key_Heap::ACE_Configuration_Section_Key_Heap ( | const ACE_TCHAR * path )

| constructor based on the full path of the section.

ACE_Configuration_Section_Key_Heap::~ACE_Configuration_Section_Key_Heap ( | void )`[protected, virtual]`

| destructor - will delete the iterators.

ACE_Configuration_Section_Key_Heap::ACE_Configuration_Section_Key_Heap ( | const ACE_Configuration_Section_Key_Heap & rhs )`[protected]`

## Member Function Documentation

ACE_Configuration_Section_Key_Heap& ACE_Configuration_Section_Key_Heap::operator= ( | const ACE_Configuration_Section_Key_Heap & rhs )`[protected]`

## Member Data Documentation

ACE_TCHAR * ACE_Configuration_Section_Key_Heap::path_

| the path itself.

SUBSECTION_HASH::ITERATOR * ACE_Configuration_Section_Key_Heap::section_iter_

| The sub section iterator.

VALUE_HASH::ITERATOR * ACE_Configuration_Section_Key_Heap::value_iter_

| The value iterator.

The documentation for this class was generated from the following files:

- Configuration.h
- Configuration.cpp